org.modeshape.jcr.api.monitor

## Enum DurationMetric

- java.lang.Object
- - java.lang.Enum<DurationMetric>
  - - org.modeshape.jcr.api.monitor.DurationMetric

- All Implemented Interfaces:
    Serializable, Comparable<DurationMetric>

      public enum DurationMetric
      extends Enum<DurationMetric>

  The metrics for which ModeShape captures statistics on durations.
  Since:
    3.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QUERY_EXECUTION_TIME` The metric that captures the duration of `query executions`.
    `SEQUENCER_EXECUTION_TIME` The metric that captures the duration of sequencer executions.
    `SESSION_LIFETIME` The metric that captures the duration of `sessions`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DurationMetric` | `fromLiteral(String literal)` Get the `DurationMetric` that has the supplied literal.
    `String` | `getDescription()` Return the description for this metric.
    `String` | `getLabel()` The readable label for this metric.
    `String` | `getLiteral()` The literal string form of the duration metric.
    `static DurationMetric` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DurationMetric[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUERY_EXECUTION_TIME

          public static final DurationMetric QUERY_EXECUTION_TIME

      The metric that captures the duration of `query executions`. Note that the payload of the `DurationActivity` instances are the query strings.

    - #### SESSION_LIFETIME

          public static final DurationMetric SESSION_LIFETIME

      The metric that captures the duration of `sessions`. Note that the payload of the `DurationActivity` instances are the session usern IDs.

    - #### SEQUENCER_EXECUTION_TIME

          public static final DurationMetric SEQUENCER_EXECUTION_TIME

      The metric that captures the duration of sequencer executions. Note that the payload of the `DurationActivity` instances are strings containing the sequencer name and the input and output paths.

  - ### Method Detail

    - #### values

          public static DurationMetric[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DurationMetric c : DurationMetric.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DurationMetric valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLiteral

          public String getLiteral()

      The literal string form of the duration metric.
      Returns:
        the literal string form; never null or empty

    - #### getLabel

          public String getLabel()

      The readable label for this metric.
      Returns:
        the human-readable label; never null or empty

    - #### getDescription

          public String getDescription()

      Return the description for this metric.
      Returns:
        the description; never null or empty

    - #### fromLiteral

          public static DurationMetric fromLiteral(String literal)

      Get the `DurationMetric` that has the supplied literal.
      Parameters:
        `literal` - the literal (can be of any case); may not be null
      Returns:
        the duration metric, or null if there is no DurationMetric enum value for the given literal string

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.